#ifndef MAINNODE_H
#define MAINNODE_H

#include <nodelet/nodelet.h>
#include <ros/ros.h>
#include "boost/thread.hpp"
#include "car/environmentDataMsg.h"
#include "NotifiableThread.h"
#include "../../../../../Communication/NetworkingLib/include/Networking.h"

namespace car
{
class MainNode : public nodelet::Nodelet
{
public:
    virtual void onInit();

    MainNode(ros::NodeHandle & nh, std::string & name);

    MainNode();

    ~MainNode();

private:
    ros::NodeHandle nh;
    std::string name;
    boost::thread loggerModule;
    ros::Publisher logEnabled;
    ros::Subscriber environmentData;

    void environmentDataCallback(const environmentDataMsg::ConstPtr & inMsg);
};
}
#endif
